<template>
  <v-container>
    <h1>Les catégories</h1>
    <p>
      Depuis la saison 2016-2017, de nouveaux nom de catégories sont entrées en
      vigueur.
    </p>
    <p>
      Dans le tableau ci-dessous, trouvez votre catégorie pour la saison
      actuelle ({{ currentSeason - 1 }}-{{ currentSeason }}) :
    </p>
    <v-data-table
      :headers="headers"
      :items="fencerCategories"
      :items-per-page="-1"
      :mobile-breakpoint="0"
      item-key="_id"
      sort-by="ageLowerLimit"
      must-sort
    >
      <template v-slot:item.ageUpperLimit="{ item }">
        <template v-if="item.ageUpperLimit">
          {{ currentSeason - item.ageUpperLimit }}
        </template>
        <template v-else>
          …la nuit des temps…
        </template>
      </template>
      <template v-slot:item.ageLowerLimit="{ item }">
        <template v-if="item.ageLowerLimit">
          {{ currentSeason - item.ageLowerLimit }}
        </template>
        <template v-else>
          …maintenant.
        </template>
      </template>
      <template v-slot:item.licenceCost="{ item }">
        {{
          (item.licenceCost + 0.22).toLocaleString('fr-FR', {
            style: 'currency',
            currency: 'EUR',
          })
        }}
      </template>
    </v-data-table>
  </v-container>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  head: {
    title: "Les catégories d'âge",
  },

  data: () => ({
    headers: [
      {
        text: 'Nom',
        value: 'name',
        sortable: false,
      },
      {
        value: 'ageUpperLimit',
        text: 'Nés entre…',
        sortable: false,
      },
      {
        value: 'ageLowerLimit',
        text: '…et…',
      },
      {
        value: 'licenceCost',
        text: 'Coût de la "Licence Base"',
        sortable: false,
      },
    ],
  }),

  computed: {
    ...mapGetters(['currentSeason']),

    fencerCategories() {
      return this.$store.state.activities.escrime.categories
    },
  },
}
</script>
